Name: python-dmidecode
Summary: Python module to access DMI data
Version: 3.12.2
Release: %mkrel 14
License: GPLv2
Group: Development/Python
URL: http://projects.autonomy.net.au/python-dmidecode/
Source0: https://fedorahosted.org/releases/p/y/%{name}/%{name}-%{version}.tar.gz
Patch0: python-dmidecode-3.12.2-arm-alignment.patch

BuildRequires: pkgconfig(libxml-2.0)

BuildRequires: python3-devel
BuildRequires: libxml2-python3


%description
python-dmidecode is a python extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as python data structures or as XML data using libxml2.



%package -n python3-dmidecode
Summary: Python 3 module to access DMI data
Group: Development/Python
Requires: libxml2-python3
%{?python_provide:%python_provide python3-dmidecode}

%description -n python3-dmidecode
python3-dmidecode is a Python 3 extension module that uses the
code-base of the 'dmidecode' utility, and presents the data
as Python 3 data structures or as XML data using libxml2.



%prep
%setup -qc
%autopatch -p1
mv %{name}-%{version} python3

pushd python3
sed -i 's/python2/python3/g' Makefile unit-tests/Makefile
popd


%build
# Not to get undefined symbol: dmixml_GetContent
export CFLAGS="${CFLAGS-} -std=gnu89"


for PY in python3; do
  pushd $PY
  make build
  popd
done

%install
pushd python3
%{__python3} src/setup.py install --root %{buildroot} --prefix=%{_prefix}
popd


%check
for PY in python3; do
  pushd $PY/unit-tests
  make
  popd
done


%files -n python3-dmidecode
%license python3/doc/LICENSE python3/doc/AUTHORS python3/doc/AUTHORS.upstream
%doc python3/README python3/doc/README.upstream
%{python3_sitearch}/dmidecodemod.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/__pycache__/dmidecode.cpython-%{python3_version_nodots}*.py[co]
%{python3_sitearch}/dmidecode.py
%{python3_sitearch}/*.egg-info
%{_datadir}/python-dmidecode/



%changelog
* Sat Feb 22 2020 pterjan <pterjan> 3.12.2-14.mga8
+ Revision: 1549491
- Enable memory alignment workaround on arm

* Sun Feb 16 2020 umeabot <umeabot> 3.12.2-13.mga8
+ Revision: 1536332
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 3.12.2-12.mga8
+ Revision: 1453988
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 3.12.2-11.mga7
+ Revision: 1352095
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.12.2-10.mga7
+ Revision: 1300470
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for python 3.6

* Mon Jun 05 2017 ngompa <ngompa> 3.12.2-8.mga6
+ Revision: 1106825
- No-change rebuild for arm arches

* Mon Jun 05 2017 ngompa <ngompa> 3.12.2-7.mga6
+ Revision: 1106771
- Port to Mageia
- imported package python-dmidecode

